<?php $__env->startSection('content'); ?>
    
    <style>
        .form-group.form-check {
            display: inline-block;
            top: -11px;
        }

        .fa-file-pdf {
            padding-left: 6px;
        }
    </style>
    <div id="contenedor-dashboard" class="container-fluid">
        <div class="row ">
            <div class="col-md-12">
                <h2>Orden Producción</h2>
                <a type="button" onclick="archivar()" class="botonColorNaranja">Anular</a>
            </div>
        </div>
        <div class="col-md-12">
            <br>
            <br>
            <table id="example" class="display" style="width:100%">
                <thead>
                    <tr>
                        <td>OP</td>
                        <td>Fecha</td>
                        <td>Cliente</td>
                        <td>Cantidad</td>
                        <td>Unidades</td>
                        <td>Producto</td>
                        <td>Ejecutivo</td>
                        <td>Fecha Entrega</td>
                        <td>Cotización</td>
                        <td>Muestra Comercial</td>
                        <td>Estado</td>
                        <td>Acción</td>
                    </tr>
                </thead>
                <tbody>
                    <?php $idCotizacion = 0; ?>

                    <?php $__currentLoopData = $ops; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $op): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr data-id="<?php echo e($op->id); ?>"
                            class="<?php echo e($op->status == 3 ? 'table-success' : ''); ?> <?php echo e($op->status == 4 ? 'table-success' : ''); ?>">
                            <td><?php echo e($op->id); ?></td>
                            <td><?php echo e(date('d/m/Y h:i:s', strtotime($op->created_at))); ?></td>
                            <td>
                                <?php echo e($op->cliente->nombre ?? 'Inventario'); ?></td>
                            <td><?php echo e($op->cantidad); ?></td>
                            <td><?php echo e($op->producto->medida->nombre); ?></td>
                            <td>
                                <?php echo e($op->producto->nombre); ?>

                            </td>
                            <td>
                                <?php if($op->id_cotizacion_producto == 999999): ?>
                                    Inventario
                                <?php else: ?>
                                    <?php echo e($op->cliente->info_ejecutivo->name ?? ''); ?>

                                <?php endif; ?>

                            </td>
                            <td>
                                <?php if($op->fecha_entrega): ?>
                                    <?php echo e(date('d/m/Y', strtotime($op->updated_at))); ?>

                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if($op->id_cotizacion_producto != 999999): ?>
                                    <a href="<?php echo e(asset('/cotizaciones/CO_' . $op->id_cotizacion_producto . '.pdf')); ?>"
                                        target='_blank'><?php echo e($op->id_cotizacion_producto); ?><i
                                            class="far fa-file-pdf"></i></a>
                                <?php endif; ?>
                            </td>
                            <td>
                                <?php if($op->status == 2): ?>
                                    <a href="<?php echo e(asset('/images/MUESTRA-COMERCIAL.pdf')); ?>"
                                        target='_blank'>Ver<i
                                            class="far fa-file-pdf"></i></a>
                                <?php endif; ?>
                            </td>
                            <td class='status'>
                                <?php if($op->status == 1): ?>
                                    Pendiente autorizar
                                <?php endif; ?>
                                <?php if($op->status == 2): ?>
                                    Autorizada
                                <?php endif; ?>
                                <?php if($op->status == 3): ?>
                                    Proceso
                                <?php endif; ?>
                                <?php if($op->status == 4): ?>
                                    Terminada
                                <?php endif; ?>
                                <?php if($op->status == 5): ?>
                                    Facturación
                                <?php endif; ?>
                                <?php if($op->status == 99): ?>
                                    Anulado
                                <?php endif; ?>
                            </td>

                            <td>
                                <?php if($op->status == 1): ?>
                                    <div class="form-group form-check"><input type="checkbox" class="form-check-input"
                                            id="exampleCheck1"></div>
                                <?php endif; ?>
                                <?php if($op->status == 2): ?>
                                    <div class="form-group form-check"><input type="checkbox" class="form-check-input"
                                            id="exampleCheck1"></div>
                                    <a type="button" href="<?php echo e(route('ventas.orden_produccion_ver', $op->id)); ?>"
                                        class="btn btn-outline-primary">Ver</a>
                                <?php endif; ?>
                                <?php if($op->status == 3): ?>
                                    <a type="button" href="<?php echo e(route('ventas.orden_produccion_ver', $op->id)); ?>"
                                        class="btn btn-outline-primary">Ver</a>
                                <?php endif; ?>
                                <?php if($op->status == 4): ?>
                                    <a type="button" href="<?php echo e(route('ventas.orden_produccion_ver', $op->id)); ?>"
                                        class="btn btn-outline-primary">Ver</a>
                                <?php endif; ?>

                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
    <script>
        function archivar() {
            document.querySelectorAll('.form-check-input').forEach(element => {
                var padre = element.parentElement.parentElement.parentElement;
                var idOP = padre.getAttribute('data-id');
                if (element.checked) {
                    jQuery(document).ready(function() {
                        var token = '<?php echo e(csrf_token()); ?>';
                        $.ajax({
                            type: 'POST',
                            url: '<?php echo e(route('ventas.anular_op')); ?>',
                            headers: {
                                'X-CSRF-TOKEN': token
                            },
                            data: {
                                idOP: idOP,
                            },
                            success: function(data) {
                                if (data) {
                                    $(padre).find('.status').text('Anulada');
                                    Swal.fire({
                                        position: 'top-end',
                                        title: "Orden Producción anulada",
                                        showConfirmButton: false,
                                        timer: 1500
                                    });
                                }
                            }
                        });
                    });
                }
            });
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('ventas.menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/n344795/koton.webdevgt.com/resources/views/ventas/dashboard_orden_produccion.blade.php ENDPATH**/ ?>